[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazHelpHTML' (#lcl)

# THTMLHelpDatabase.ShowHelp

Displays a context-sensitive HTML help topics in the HTML database.

## Declaration

Source position: lazhelphtml.pas line 67

`public function THTMLHelpDatabase.ShowHelp(`
`Query: THelpQuery;`
`BaseNode: THelpNode;`
`NewNode: THelpNode;`
`QueryItem: THelpQueryItem;`
`var ErrMsg: string`
`):TShowHelpResult; override;`

## Arguments

`Query` |  | Not used in the method implementation.
`BaseNode` |  | Not used in the method implementation.
`NewNode` |  | Help node with the URL and Title displayed in the method.
`QueryItem` |  | Not used in the method implementation.
`ErrMsg` |  | Message which describes an error condition in the return value.

## Function result

Status of the help display request.

## Description

ShowHelp is a TShowHelpResult function used to display context-sensitive HTML help topics in the HTML database. The return value indicates the status for the topic display request. It contains the value shrContextNotFound if the requested help node does not represent a valid URL for the HTML help database.

ErrMsg is a variable parameter which is updated to contain details for an error condition in the request.

ShowHelp calls the ShowURL method using the URL and Title from the NewNode parameter.

Please note that the Query, BaseNode, and QueryItem parameters are not used in the method.

## See also

THTMLHelpDatabase.ShowURL |  | Displays a help viewer for the specified HTML help topic.
TShowHelpResult
THelpNode